Retrieve agents
curl --request GET \
--url https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents \
--header 'x-api-key: <api-key>'import requests
url = "https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://a.api.mindset.ai/api/v2/appuid/{appUid}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agents": [
{
"uid": "<string>",
"agentName": "<string>",
"agentPurpose": "<string>",
"personality": {
"preset": "friendly",
"customText": "<string>"
},
"formatting": {
"preset": "conversational",
"customText": "<string>"
},
"policies": {
"focusAndScope": {
"enabled": false,
"scope": "<string>"
},
"knowledgeLimits": {
"enabled": false,
"themeSpecificAllowance": "<string>"
},
"nonContextSegmentMessage": {
"enabled": false,
"message": "<string>"
},
"clarification": {
"enabled": false
},
"recommendations": {
"enabled": false
},
"neutrality": {
"enabled": false
},
"professionalConduct": {
"enabled": false
},
"legalFinancial": {
"enabled": false
},
"safeguarding": {
"enabled": false,
"email": "jsmith@example.com"
},
"feedback": {
"enabled": false
}
},
"additionalPolicyRules": "<string>",
"additionalInformation": "<string>",
"iceBreakerMessage": "<string>",
"memory": {
"allowAccess": false,
"allowContribution": false,
"miningGuidance": "<string>"
},
"options": {
"showSourceContent": false,
"sourceDisplayStyle": "compact",
"sourceCardType": "segments",
"showSpeakers": false,
"showFollowUpQuestions": false,
"showCitations": false,
"showQuickReplies": true
},
"live": true,
"showPromptLibrary": true,
"contextUids": [
"<string>"
],
"mcpserverUids": [
"<string>"
],
"planUids": [
"<string>"
],
"skillUids": [
"<string>"
],
"tags": [
"<string>"
],
"externalTenantId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}This response has no body data.This response has no body data.This response has no body data.This response has no body data.Agent Configuration
Retrieve agents
GET
/
api
/
v2
/
appuid
/
{appUid}
/
agents
Retrieve agents
Authorizations
Path Parameters
Your application's uid
Minimum string length:
1Query Parameters
Filter results to a specific contextUid. Cannot be used with mcpserverUid
Filter results to a specific mcpserverUid. Cannot be used with contextUid
Only include Agents for externalTenantId
Start after the given createdAt timestamp (ISO 8601) for pagination
Response
Successful retrieval
Show child attributes
Show child attributes
⌘I